/*-------------------------------------------------------------------------
 Control circuit for ZUIHO Spartan-3AN 50 

 File name   : chip_zuiho_ctrl.v
 Version     : 1.3
 Created     : DEC/26/2012
 Last update : JAN/07/2013
 Desgined by : Toshihiro Katashita
 
 
 Copyright (C) 2012, 2013 AIST
 
 By using this code, you agree to the following terms and conditions.
 
 This code is copyrighted by AIST ("us").
 
 Permission is hereby granted to copy, reproduce, redistribute or
 otherwise use this code as long as: there is no monetary profit gained
 specifically from the use or reproduction of this code, it is not sold,
 rented, traded or otherwise marketed, and this copyright notice is
 included prominently in any copy made.
 
 We shall not be liable for any damages, including without limitation
 direct, indirect, incidental, special or consequential damages arising
 from the use of this code.
 
 When you publish any results arising from the use of this code, we will
 appreciate it if you can cite our webpage.
 (http://www.risec.aist.go.jp/project/sasebo/)
 -------------------------------------------------------------------------*/

//================================================ CHIP_ZUIHO_CTRL
module CHIP_ZUIHO_CTRL
  (// Configuration
   input wire 	     m_conf_cclk,
   input wire 	     m_conf_cso_b,
   input wire [7:0]  m_conf_d,
   input wire 	     m_conf_done,
   input wire 	     m_conf_dout,
   input wire 	     m_conf_init_b,
   input wire [2:0]  m_conf_m,
   input wire 	     m_conf_mosi_csi_b,
   input wire 	     m_conf_prog_b,
   input wire 	     m_conf_rdwr_b,
   
   // LED, push switch, clock and rese
   output wire [3:0] led,
   
   input wire 	     clk_osc,
   //output wire       clk_ext_0_p,
   //output wire       clk_ext_0_n,
   output wire 	     clk_osc_inh_b,

   /* Reset */
   input wire 	     sys_rst_b);

   //------------------------------------------------
   assign led[0] = 1'b1;
   assign led[1] = 1'b0;
   assign led[2] = sys_rst_b;
   assign led[3] = ~sys_rst_b;

   assign clk_osc_inh_b = 1'b0;
   
endmodule // CHIP_ZUIHO_CTRL
